Package: org.grails.build.parsing

## [Groovy] Class ScriptNameResolver

- org.grails.build.parsing.ScriptNameResolver

-     @groovy.transform.CompileStatic
      class ScriptNameResolver
      extends java.lang.Object

  Authors:
    Andres Almiray
    Dierk Koenig
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptNameResolver ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `resolvesTo(java.lang.String scriptName, java.lang.String scriptFileName)` Matches a camelCase scriptName to a potential scriptFileName in canonical form.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ScriptNameResolver()

  - ### Method Detail

    - #### static boolean resolvesTo(java.lang.String scriptName, java.lang.String scriptFileName)

      Matches a camelCase scriptName to a potential scriptFileName in canonical form.

      The following scriptNames match FooBar: FB, FoB, FBa